#ifndef __CUDAVRImage_h
#define __CUDAVRImage_h

#include "VolTKCUDAIncludes.h"

class VRImage;
struct cudaGraphicsResource;

class VOLTK_CUDA_API CUDAVRImage
{
public:
	int m_Size[2];
	int m_Origin[2];
	unsigned m_pbo;
	cudaGraphicsResource *m_pbo_cuda;
	float *m_d_ImageData;

	CUDAVRImage();
	~CUDAVRImage();

	void Allocate();
	void PrepareForCUDAOP();
	void ClearAfterCUDAOP();

	void Render() const;
	void CopyToCPU(VRImage* image) const;

};


#endif 