#ifndef __FullVR_h
#define __FullVR_h

#include "VolTKStandardIncludes.h"

class CoherentVolume;
class TFEmptySpace;
class GridPartition;
class Lut1D;
class BasicLightParam;
class VRSceneParam;
class VRImage;

class VOLTK_STANDARD_API FullVR
{
public:
	CoherentVolume* m_Volume;
	TFEmptySpace *m_EmptySpaceTest;
	GridPartition *m_GridPartition;
	Lut1D *m_Lut1D;
	BasicLightParam *m_BasicLightParam;
	VRSceneParam *m_VRSceneParam;
	VRImage *m_VRImage;

	bool m_Shade;
	float m_SampleDistance;
	float m_StdSampleDistance;

	FullVR();
	~FullVR();

	void RenderWithoutGridPartition();
	void RenderWithGridPartition();
};

#endif
