#ifndef __MIPVR_h
#define __MIPVR_h

#include "VolTKStandardIncludes.h"

class CoherentVolume;
class GridPartition;
class MIPRayCasterParam;
class VRSceneParam;
class VRImage;

class VOLTK_STANDARD_API MIPVR
{
public:
	CoherentVolume* m_Volume;
	GridPartition *m_GridPartition;
	MIPRayCasterParam *m_RayCasterParam;
	VRSceneParam *m_VRSceneParam;
	VRImage *m_VRImage;

	MIPVR();
	~MIPVR();

	void RenderWithoutGridPartition();
	void RenderWithGridPartition();
};

#endif
