#include "Full/FullRayCaster_basic.core.h"

static inline Vector4 CastRay(const Vector4& voxel_zero,const Vector4& voxel_unit,const Vector4& CameraDirection,float tnear,float tfar)
{
	float t=tnear;
	Vector4 pos=voxel_zero + voxel_unit * t;
	Vector4 voxel_step=voxel_unit*sampleDistance;

	Vector4 acc(0.0f,0.0f,0.0f,0.0f);

	while(t<tfar && acc[3]<0.98f)
    {
		Vector4 color=GetShadedColor(pos,CameraDirection);
		float alpha=color[3];
		color[3]=1.0f;
		color*=alpha;		
		acc+=(1.0f-acc[3])*color;				
		t += sampleDistance;
		pos += voxel_step;
    }
	return acc;	

}
