#ifndef __CUDAIsosurfaceVR_h
#define __CUDAIsosurfaceVR_h

#include "VolTKCUDAIncludes.h"

class CUDAVolumeTexture;
class CUDAGridPartition;
class BasicLightParam;
class IsosurfaceRayCasterParam;
class VRSceneParam;
class CUDAVRImage;

class VOLTK_CUDA_API CUDAIsosurfaceVR
{
public:
	CUDAVolumeTexture* m_Volume;
	CUDAGridPartition *m_GridPartition;
	BasicLightParam *m_BasicLightParam;
	IsosurfaceRayCasterParam *m_RayCasterParam;
	VRSceneParam *m_VRSceneParam;
	CUDAVRImage *m_VRImage;

	int m_CudaBlockSize;

	CUDAIsosurfaceVR();
	~CUDAIsosurfaceVR();

	void RenderWithoutGridPartition();
	void RenderWithGridPartition();
};

#endif
