#ifndef __CUDAMIPVR_h
#define __CUDAMIPVR_h

#include "VolTKCUDAIncludes.h"

class CUDAVolumeTexture;
class CUDAGridPartition;
class MIPRayCasterParam;
class VRSceneParam;
class CUDAVRImage;

class VOLTK_CUDA_API CUDAMIPVR
{
public:
	CUDAVolumeTexture* m_Volume;
	CUDAGridPartition *m_GridPartition;
	MIPRayCasterParam *m_RayCasterParam;
	VRSceneParam *m_VRSceneParam;
	CUDAVRImage *m_VRImage;

	int m_CudaBlockSize;

	CUDAMIPVR();
	~CUDAMIPVR();

	void RenderWithoutGridPartition();
	void RenderWithGridPartition();
};

#endif
