#ifndef __BasicLightParam_h
#define __BasicLightParam_h

#include "VolTKStandardIncludes.h"
#include "Matrix4x4.h"

class VOLTK_STANDARD_API BasicLightParam
{
public:
	BasicLightParam();
	~BasicLightParam();

	Vector4 m_LightDirection;
	float m_LightIntensity;
	float m_LightColor[3];

	float m_Ambient;
	float m_Diffuse;
	float m_Specular;
	float m_SpecularPower;

	float m_BackgroundColor[3];
	bool m_Illustrative;

	void GlobalLightDir(Vector4 GlobalLightDir, Matrix4x4 ViewMatrix);

};


#endif
